Skip to content
Navigation

Preview reporter reporting intents

GET
https://api.sureshake.com/v2/reporter/reporting-intents/preview

Query parameters

  • intentId
    string
    required
    maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
    • name
      string
      required
      maxLength: 160 · minLength: 1
    • description
      string
      required
      maxLength: 1000 · minLength: 1
    • category
      string
      required
      maxLength: 120 · minLength: 1
    • version
      string
      required
      maxLength: 80 · minLength: 1
    • source
      predefined
      or
      custom
      required
    • forkedFromIntentId
      string
      or null
      required
      maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
    • enabled
      boolean
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • entityId
      optional
      string
      or null
      format: uuid
    • schema
      optional
      object
      default: {}
      • goldenDocuments
        optional
        array of
        object
        • id
          string
          required
          maxLength: 120 · minLength: 1 · pattern: ^[a-z0-9][a-z0-9_-]*$
        • label
          string
          required
          maxLength: 180 · minLength: 1
        • documentRole
          string
          required
          maxLength: 120 · minLength: 1
        • sourceType
          string
          required
          maxLength: 120 · minLength: 1
        • privacyClassification
          generated_sample
          or
          synthetic_redacted
          or
          redacted_customer_approved
          required
        • fixturePath
          optional
          string
          maxLength: 1000 · minLength: 1
        • artifact
          optional
          object
          • artifactId
            optional
            string
            maxLength: 240 · minLength: 1
          • artifactType
            optional
            string
            maxLength: 120 · minLength: 1
          • storageKey
            optional
            string
            maxLength: 1000 · minLength: 1
          • checksumSha256
            optional
            string
            maxLength: 128 · minLength: 1
          • mimeType
            optional
            string
            maxLength: 160 · minLength: 1
        • expectedOutputSummary
          optional
          string
          maxLength: 2000 · minLength: 1
        • approvalStatus
          optional
          approved
          default: "approved"
        • approvedByUserId
          optional
          string
          maxLength: 160 · minLength: 1
        • approvedAt
          optional
          string
          format: date-time
        • tags
          optional
          array of
          string
          maxLength: 80 · minLength: 1 · default: []
    • authoringState
      optional
      draft
      or
      ready
      default: "ready"
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close